### Function

# RB uri_get_filesystem_type

#### Declaration [src]

    char*
    rb_uri_get_filesystem_type (
      const char* uri,
      char** mount_point
    )

#### Description [src]

Returns a string describing the type of the filesystem containing `uri`.

#### Parameters

`uri`

  Type: `const char*`

  URI to get filesystem type for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`mount_point`

  Type: `char**`

  Optionally returns the mount point for the filesystem as a URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Filesystem type string, must be freed by caller.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.